complexType "FxBarrierFeature"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 6 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | barrierType, quotedCurrencyPair, triggerRate, informationSource+, (observationStartDate, observationEndDate?)?
</...>

Content Model Elements (6):

  barrierType,
  informationSource (defined in FxBarrierFeature complexType),
  observationEndDate (defined in FxBarrierFeature complexType),
  observationStartDate (defined in FxBarrierFeature complexType),
  quotedCurrencyPair (defined in FxBarrierFeature complexType),
  triggerRate (defined in FxBarrierFeature complexType)

All Direct / Indirect Based Elements (2):

  barrier (in features in fxOption), | barrier (in features in fxOption)

Known Usage Locations

- As direct type of elements (2):

  barrier (in features in fxOption), | barrier (in features in fxOption)

Annotation
Describes the properties of an Fx barrier.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="FxBarrierFeature"> <xsd:sequence> <xsd:element name="barrierType" type="FxBarrierTypeEnum"/> <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element name="triggerRate" type="PositiveDecimal"/> <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/> <xsd:sequence minOccurs="0"> <xsd:element name="observationStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"/> </xsd:sequence> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
barrierType

  Type: | FxBarrierTypeEnum, simple content

  This specifies whether the option becomes effective ("knock-in") or is annulled ("knock-out") when the respective trigger event occurs.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Knockin" | - | Option exists once the barrier is hit. The trigger rate is out-of-the money in relation to the strike rate. See: http://www.FpML.org
  "Knockout" | - | Option ceases to exist once the barrier is hit. The trigger rate is out-of the-money in relation to the strike rate. See: http://www.FpML.org
  "ReverseKnockin" | - | Option exists once the barrier is hit. The trigger rate is in-the money in relation to the strike rate. See: http://www.FpML.org
  "ReverseKnockout" | - | Option ceases to exist once the barrier is hit. The trigger rate is in-the money in relation to the strike rate. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="barrierType" type="FxBarrierTypeEnum"/>

informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="informationSource" type="InformationSource"/>

observationEndDate

  Type: | xsd:date, predefined, simple content

  The end of the period over which observations are made to determine whether a trigger event has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"/>

observationStartDate

  Type: | xsd:date, predefined, simple content

  The start of the period over which observations are made to determine whether a trigger has occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="observationStartDate" type="xsd:date"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

triggerRate

  Type: | PositiveDecimal, simple content

  The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="triggerRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.